#!/usr/bin/env bash

# check for required pk3.
source ${0%/*}/TobyCustom/.dependencies
check_dependencies "${gamePath}/Addons/WOLFENDOOM/orig_enh.pk3" \
    "https://www.moddb.com/mods/wolfendoom/downloads/wolfendoom-enhanced" \
    "mkdir -p ${gamePath}/Addons/WOLFENDOOM/" \
    "Place all pk3 files from the zip archive in:" \
    "${gamePath}/Addons/WOLFENDOOM/" \
    "There should be three of them noct_enh.pk3, orig_enh.pk3, and sod_enh.pk3"

# Set up the pk3 and wad files 
gameOption=(
    "${gamePath}/TobyAccMod_V${tobyVersion}.pk3"
    "$gamePath/Addons/MENU/TobyV${tobyVersion%%-*}_"*
    "$gamePath/Addons/DOOM/TobyV${tobyVersion%%-*}_"*"Proximity"*".pk3"
)

menuList=("${gamePath}/Addons/WOLFENDOOM/orig_enh.pk3" "WolfenDoom"
    "${gamePath}/Addons/WOLFENDOOM/sod_enh.pk3" "WolfenDoom - Spear of Destiny"
    "${gamePath}/Addons/WOLFENDOOM/noct_enh.pk3" "WolfenDoom - Nocturne"
)

pk3=$(dialog --backtitle "Select Game" \
    --clear \
    --no-tags \
    --cancel-label "Exit" \
    --ok-label "Next" \
    --menu "Please select one" 0 0 0 "${menuList[@]}" --stdout)
[[ $? -ne 0 ]] && exit 0
gameOption+=("${pk3}")
flags=(
    # Key bindings
    '+bind Ctrl +attack'
    '+bind X turn180'
    # Variables
    '+Toby_NarrationOutputType 2'
)
